{% extends 'base.html.twig' %}

{% block title %}Games{% endblock %}

{% block body %}

<section class="secgames">

    <div class="main">

     <div class="filters">
            <form action="" method="post">
                <h2>Filtres</h2>
                <div class="groupinput">
                    <h3><label for="title">Titre</label></h3>
                    <input type="text">
                </div>
                <div class="groupinput">
                    <h3><label for="title">Genre</label></h3>
                    {# <ul>
                        <li><a href="#">Action</a></li>
                        <li><a href="#">RPG</a></li>
                        <li><a href="#">Plateforme</a></li>
                        <li><a href="#">Aventure</a></li>
                    </ul> #}

                    <p><input type="checkbox" name="" id="">Action</p>
                    <p><input type="checkbox" name="" id="">RPG</p>
                    <p><input type="checkbox" name="" id="">Plateforme</p>
                    <p><input type="checkbox" name="" id="">Aventure</p>
                    <p><input type="checkbox" name="" id="">Casse Brique</p>
                    <p><input type="checkbox" name="" id="">Snake</p>

                </div>
                <div class="groupinput">
                    <button>Rechercher</button>
                </div>
            </form>
        </div>

        <div class="games">
            {% for game in games %}
                <div class="game" style="background-image:url({{game.image}})"> 
                    <div class="text">
                        <div class="text-content">
                            <h3>{{game.title}}</h3>
                            <p>{{game.description}}</p>
                            <p>{{ game.date|date('d-m-Y') }}</p>
                            <a target='blank' href="{{game.url}}"><button>Jouer</button></a>
                        </div>
                    </div>
                    {% if app.user %}
                        <a href='{{path('rates_new', {'id': game.id})}}'>Ajouter un commentaire</a><br>

                        
                        <a href='{{path('favorites_new', {'id': game.id})}}'>Mettre en favoris</a><br>
                        
                        <a href='{{path('favorites_remove', {'id': game.id})}}'>Retirer du favoris</a><br>
                      
                        


                    {% endif %}
                    <a href='{{path('rates_index', {'id': game.id})}}'>Voir tous les commentaires</a>
                </div>
            {% endfor %}
        </div>

       
    
    </div>

</section>

{% endblock %}